Describes a mechanism for locating an element relative to others on the page.

final

### Hierarchy

- RelativeBy

## Index

### Constructors

- constructor

### Methods

- above
- below
- marshall
- near
- toLeftOf
- toRightOf
- toString

## Constructors

### constructor

- new RelativeBy(findDetails: By, filters: <internal>.Object[]): RelativeBy

- #### Parameters

  - ##### findDetails: By

  - ##### filters: <internal>.Object[]

  #### Returns RelativeBy

## Methods

### above

- above(locatorOrElement: WebElement | Locator): RelativeBy

- Look for elements above the root element passed in

  #### Parameters

  - ##### locatorOrElement: WebElement | Locator

  #### Returns RelativeBy

  Return this object

### below

- below(locatorOrElement: WebElement | Locator): RelativeBy

- Look for elements below the root element passed in

  #### Parameters

  - ##### locatorOrElement: WebElement | Locator

  #### Returns RelativeBy

  Return this object

### marshall

- marshall(): <internal>.Object

- Returns a marshalled version of the RelativeBy

  #### Returns <internal>.Object

  Object representation of a WebElement that will be used in {@link #findElements}.

### near

- near(locatorOrElement: WebElement | Locator): RelativeBy

- Look for elements near the root element passed in

  #### Parameters

  - ##### locatorOrElement: WebElement | Locator

  #### Returns RelativeBy

  Return this object

### toLeftOf

- toLeftOf(locatorOrElement: WebElement | Locator): RelativeBy

- Look for elements left the root element passed in

  #### Parameters

  - ##### locatorOrElement: WebElement | Locator

  #### Returns RelativeBy

  Return this object

### toRightOf

- toRightOf(locatorOrElement: WebElement | Locator): RelativeBy

- Look for elements right the root element passed in

  #### Parameters

  - ##### locatorOrElement: WebElement | Locator

  #### Returns RelativeBy

  Return this object

### toString

- toString(): string

- override

  #### Returns string

Generated using TypeDoc